Description

The user help link:

http://www.redmine.org/projects/redmine/wiki/EmailConfiguration

gives wrong description and example for no authentication. follow the example, redmine server failed to start up.

The correct example should be like this (and it is generated at the time of installation):

default:   # Outgoing emails configuration (see examples above)

email_delivery:

delivery_method: :smtp

smtp_settings:

tls: false

address: localhost

port: 25

domain: localhost

authentication: :plain

user_name: "user@redmine.com"

password: ""

History

#1 - 2012-04-05 11:53 - fangzheng (方正)

I found the Wiki page is editable. Does it mean that it's free to edit, for everyone?

#2 - 2013-03-18 10:08 - Anonymous

Yes, that page is editable by anybody, and improvements are highly welcome.

However, I don't think the example  Qian Jiang gives is quite right either. E.g. "tls: false" does not seem to use a valid key. But it is still true that

"authentication: :none" is wrong, yet using "plain" with an empty password does not seem to be the correct thing (in general) either. Rather, the

"authentication" key should simply be omitted, or "nil" be used as value.

#3 - 2013-03-18 10:15 - Anonymous

I have updated the wiki page, trying to sync it with the current Action Mailer documentation. Please take a look and see if this helps. Thanks for the

feedback!

#4 - 2013-03-18 10:17 - Anonymous

PS: And if somebody from the Redmine team reads this: At the bottom of http://www.redmine.org/projects/redmine/wiki/EmailConfiguration is a weird

attachment, looks like spam, please remove that if possible (I was not able to do it).

#5 - 2013-03-18 12:36 - Daniel Felix

- Due date set to 2013-04-01

- Status changed from New to Needs feedback

Max Horn wrote:

PS: And if somebody from the Redmine team reads this: At the bottom of http://www.redmine.org/projects/redmine/wiki/EmailConfiguration is a

weird attachment, looks like spam, please remove that if possible (I was not able to do it).

 Was this the correct link?
I just visited with my iPhone and couldn't see any image.

@all

Please check the page and give some feedback.

If there is no feedback I will close this issue after 2 weeks (1st April). Thanks!

#6 - 2013-04-10 12:13 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closing this as there is no feedback on this issue. We thing this is resolved in current releases.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

